/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.extension.entity;


import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 表单只读配置Entity
 * @author 刘高峰
 * @version 2019-10-17
 */
public class FormSetting extends DataEntity<FormSetting> {

	private static final long serialVersionUID = 1L;
	private String processDefId;		// 流程定义id
	private String taskDefId;		// 节点id
	private String formReadOnly;		// 只读设置
	private String formType;

	public String getFormType() {
		return formType;
	}

	public void setFormType(String formType) {
		this.formType = formType;
	}

	public FormSetting() {
		super();
	}

	public FormSetting(String id){
		super(id);
	}

	@ExcelField(title="流程定义id", align=2, sort=1)
	public String getProcessDefId() {
		return processDefId;
	}

	public void setProcessDefId(String processDefId) {
		this.processDefId = processDefId;
	}

	@ExcelField(title="节点id", align=2, sort=2)
	public String getTaskDefId() {
		return taskDefId;
	}

	public void setTaskDefId(String taskDefId) {
		this.taskDefId = taskDefId;
	}

	public String getFormReadOnly() {
		return formReadOnly;
	}

	public void setFormReadOnly(String formReadOnly) {
		this.formReadOnly = formReadOnly;
	}

}
